defmodule DecentralisedBookIndex.Sync.DataTransformers.AuthorRoleTransformer do
  def from_json(json_body) do
    json_body =
      if Map.has_key?(json_body, "data") do
        json_body["data"]
      else
        json_body
      end

    attrs =
      %{
        id: get_in(json_body, ["id"]),
        order: get_in(json_body, ["attributes", "order"]),
        role: get_in(json_body, ["attributes", "role"]),
        author_id: get_in(json_body, ["attributes", "author_id"])
      }

    {:ok, attrs}
  end
end
